<?php

namespace App\Http\Controllers;

use App\Models\SiteAlbumFolder;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, ValidatesRequests;

    public $foldersTree =  [];

    public function __construct()
    {
        // 一次性查询所有文件夹
        $folders = SiteAlbumFolder::all();
        // 构建父子关系树
        $this->foldersTree = SiteAlbumFolder::buildTree($folders);
    }
}
